Ruby: pm_index_target_node Struct Reference

Ruby 3.3.7p123 (2025-01-15 revision be31f993d7fa0219d85f7b3c694d454da4ecc10b)

Data Fields
pm_index_target_node Struct Reference

IndexTargetNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | receiver
| IndexTargetNode#receiver.
pm_location_t | opening_loc
| IndexTargetNode#opening_loc.
struct pm_arguments_node * | arguments
| IndexTargetNode#arguments.
pm_location_t | closing_loc
| IndexTargetNode#closing_loc.
struct pm_node * | block
| IndexTargetNode#block.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

IndexTargetNode.

Type: PM_INDEX_TARGET_NODE Flags: PM_CALL_NODE_FLAGS_SAFE_NAVIGATION PM_CALL_NODE_FLAGS_VARIABLE_CALL PM_CALL_NODE_FLAGS_ATTRIBUTE_WRITE

Definition at line 2837 of file ast.h.

## Field Documentation

## ◆ arguments

struct pm_arguments_node* pm_index_target_node::arguments

IndexTargetNode#arguments.

Definition at line 2848 of file ast.h.

Referenced by pm_node_destroy().

## ◆ base

pm_node_t pm_index_target_node::base

The embedded base node.

Definition at line 2839 of file ast.h.

## ◆ block

struct pm_node* pm_index_target_node::block

IndexTargetNode#block.

Definition at line 2854 of file ast.h.

Referenced by pm_node_destroy().

## ◆ closing_loc

pm_location_t pm_index_target_node::closing_loc

IndexTargetNode#closing_loc.

Definition at line 2851 of file ast.h.

## ◆ opening_loc

pm_location_t pm_index_target_node::opening_loc

IndexTargetNode#opening_loc.

Definition at line 2845 of file ast.h.

## ◆ receiver

struct pm_node* pm_index_target_node::receiver

IndexTargetNode#receiver.

Definition at line 2842 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h